%define module  pyocr

Name:           python-%{module}
Version:        0.8.5
Release:        %mkrel 2
Summary:        OCR tool wrapper for Python
Group:          Development/Python
License:        GPLv3
Url:            https://gitlab.gnome.org/World/OpenPaperwork/pyocr
Source0:        https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(xt)

Requires:       tesseract

%description
Pyocr is an optical character recognition (OCR) tool wrapper for python.
That is, it helps using OCR tools from a Python program.

Pyocr can be used as a wrapper for google's Tesseract-OCR
( https://code.google.com/p/tesseract-ocr/ ) or Cuneiform. It can read all image
types supported by the Python Imaging Library, including jpeg, png, gif, bmp, tiff,
and others. It also support bounding box data.

%package -n     python3-%{module}
Summary:        OCR tool wrapper for Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm-git-archive)
Requires:       tesseract
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Pyocr is an optical character recognition (OCR) tool wrapper for python 3.
That is, it helps using OCR tools from a Python 3 program.

Pyocr can be used as a wrapper for google's Tesseract-OCR
( https://code.google.com/p/tesseract-ocr/ ) or Cuneiform. It can read all image
types supported by the Python Imaging Library, including jpeg, png, gif, bmp, tiff,
and others. It also support bounding box data.

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyocr

%files -n python3-%{module} -f %{pyproject_files}



%changelog
* Sun Mar 02 2025 wally <wally> 0.8.5-2.mga10
+ Revision: 2157379
- rebuild for python3.13

* Thu Feb 22 2024 daviddavid <daviddavid> 0.8.5-1.mga10
+ Revision: 2043074
- new version: 0.8.5
- rebuild for py3.12

* Sun Jan 15 2023 daviddavid <daviddavid> 0.8.3-1.mga9
+ Revision: 1933317
- new version: 0.8.3

* Wed Sep 07 2022 neoclust <neoclust> 0.8.2-1.mga9
+ Revision: 1885135
- New version  0.8.2

* Wed Mar 30 2022 umeabot <umeabot> 0.8.1-2.mga9
+ Revision: 1834940
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.8.1-1.mga9
+ Revision: 1775557
- version 0.8.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.8-2.mga9
+ Revision: 1732941
- Rebuild for python 3.9

* Tue Mar 02 2021 daviddavid <daviddavid> 0.8-1.mga9
+ Revision: 1695829
- new version: 0.8

* Sun Feb 16 2020 umeabot <umeabot> 0.7.2-2.mga8
+ Revision: 1534239
- Mageia 8 Mass Rebuild

* Sun Sep 29 2019 daviddavid <daviddavid> 0.7.2-1.mga8
+ Revision: 1447978
- new version: 0.7.2

* Tue Sep 24 2019 tv <tv> 0.6-2.mga8
+ Revision: 1445346
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 0.6-1.mga7
+ Revision: 1393770
- new version 0.6

* Wed Jan 09 2019 shlomif <shlomif> 0.5.3-1.mga7
+ Revision: 1353950
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.0-5.mga7
+ Revision: 1289787
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.3.0-4.mga7
+ Revision: 1135577
- Rebuild for python 3.6

* Sat Nov 19 2016 daviddavid <daviddavid> 0.3.0-3.mga6
+ Revision: 1068356
- add python 3 subpackage
- use new python macros

* Thu Feb 18 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 966025
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 dglent <dglent> 0.3.0-1.mga6
+ Revision: 839762
- Version 0.3.0

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-2.mga5
+ Revision: 739640
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 dglent <dglent> 0.2.4-1.mga5
+ Revision: 730946
- imported package python-pyocr

